ru.bitel.oss.systems.inventory.service.common.event

## Class ServiceSpecModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<ServiceSpec>
    - - ru.bitel.oss.systems.inventory.service.common.event.ServiceSpecModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ServiceSpecModifiedEvent
      extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<ServiceSpec>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `newItem, oldItem`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ServiceSpecModifiedEvent()`
    `` | `ServiceSpecModifiedEvent(int moduleId, int userId, ServiceSpec oldItem, ServiceSpec newItem)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `getNewItem, getOldItem`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceSpecModifiedEvent

          protected ServiceSpecModifiedEvent()

    - #### ServiceSpecModifiedEvent

          public ServiceSpecModifiedEvent(int moduleId,
                                          int userId,
                                          ServiceSpec oldItem,
                                          ServiceSpec newItem)